/*
Copyright (C) 1999/2000 Hendrik Lipka.
All rights reserved.

This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation;
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
for more details.

You should have received a copy of the GNU General Public License along with this
program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave,
Cambridge, MA 02139, USA or see http://www.gnu.org

If you encounter problems or have a suggestion, please mail to:
hli@hendriklipka.de
*/
package de.hendriklipka.pdfconv.document;

import com.willfork.htmltemplate.Params;
import com.willfork.htmltemplate.Template;
import com.willfork.htmltemplate.TemplateException;
import com.willfork.htmltemplate.TemplateOptions;

import java.io.IOException;

public class BookWriterMac extends HTMLWriter
{
    public BookWriterMac()
    {
        super();
        try
        {
            TemplateOptions to=new TemplateOptions();
            to.setDieOnBadParams(false);
            to.setGlobalVars(true);
            to.setLoopContextVars(true);
            _template=new Template("template/book_mac.tmpl", to);
        }
        catch (IOException e)
        {
            e.printStackTrace();  //To change body of catch statement use Options | File Templates.
        }
        catch (TemplateException e)
        {
            e.printStackTrace();  //To change body of catch statement use Options | File Templates.
        }
        _parameter=new Params();
    }

    public void open(String fileBaseName) throws IOException
    {
        _targetFilename=fileBaseName+"_mac.txt";
        _imageLoop=_parameter.makeLoop("Images");
    }
}

